﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using CodeCampService.Util;

namespace CodeCampService.DAL
{
    public class ProductsDAO : IProductsDAO
    {
       
        public DataSet GetProducts()
        {
            SqlConnection conn = new SqlConnection(Constants.ConnectionString);
            try
            {
                conn.Open();
                SqlCommand cmd = conn.CreateCommand();
                cmd.CommandType = CommandType.Text;
                cmd.CommandText = Procedures.GetProducts;
                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                DataSet products = new DataSet();
                adapter.Fill(products);
                return products;
            }
            finally
            {
                if (conn != null)
                {
                    conn.Close();
                }
            }

        }
    }
}
