﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity.InterceptionExtension;
using System.ServiceModel;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.PolicyInjection.Configuration;
using System.Collections.Specialized;

namespace CustomPIABAspect
{
    [ConfigurationElementType(typeof(CustomMatchingRuleData))]
    public class WCFOperationMatchingRule : IMatchingRule
    {
        public WCFOperationMatchingRule()
        {
            //DefaultConstructor for testing
        }

        public WCFOperationMatchingRule(NameValueCollection collection)
        {
            //PIAB Constructor
        }

        #region IMatchingRule Members
        
        public bool Matches(System.Reflection.MethodBase member)
        {
            if (ReflectionHelper.GetAllAttributes<OperationContractAttribute>(member, true).Length > 0)
            {
                return true;
            }
            return false;
        }

        #endregion
    }
}
